package com.sooka.system.service.impl;

import java.util.List;

import com.sooka.common.annotation.DataSource;
import com.sooka.common.core.text.Convert;
import com.sooka.common.enums.DataSourceType;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.stereotype.Service;
import com.sooka.system.mapper.TgjjGrzhxxMapper;
import com.sooka.system.domain.TgjjGrzhxx;
import com.sooka.system.service.ITgjjGrzhxxService;

/**
 * 个人账户信息Service业务层处理
 *
 * @author lei
 * @date 2021-11-16
 */
@Service
public class TgjjGrzhxxServiceImpl extends Guiji_Base_Service implements ITgjjGrzhxxService
{
    @Autowired
    private TgjjGrzhxxMapper tgjjGrzhxxMapper;

    /**
     * 查询个人账户信息
     *
     * @param ID 个人账户信息ID
     * @return 个人账户信息
     */
    @Override
    public TgjjGrzhxx selectTgjjGrzhxxById(Long ID)
    {
        return tgjjGrzhxxMapper.selectTgjjGrzhxxById(ID);
    }

    /**
     * 查询个人账户信息列表
     *
     * @param tgjjGrzhxx 个人账户信息
     * @return 个人账户信息
     */
    @Override
    public List<TgjjGrzhxx> selectTgjjGrzhxxList(TgjjGrzhxx tgjjGrzhxx)
    {
        List ls = tgjjGrzhxxMapper.selectTgjjGrzhxxList(tgjjGrzhxx);
        tgjjGrzhxx.setInterfaceinfoId("e574b78b-ce96-483a-9ad8-d2ccbaabff1e");
        tgjjGrzhxx.setInterfaceinfoName("共享-市公积金-个人账户信息");
        tgjjGrzhxx.setInterfacetype("platform_interfacetype_1");
        add_log(tgjjGrzhxx);
        return ls;
    }

    /**
     * 新增个人账户信息
     *
     * @param tgjjGrzhxx 个人账户信息
     * @return 结果
     */
    @Override
    public int insertTgjjGrzhxx(TgjjGrzhxx tgjjGrzhxx)
    {
        return tgjjGrzhxxMapper.insertTgjjGrzhxx(tgjjGrzhxx);
    }

    /**
     * 修改个人账户信息
     *
     * @param tgjjGrzhxx 个人账户信息
     * @return 结果
     */
    @Override
    public int updateTgjjGrzhxx(TgjjGrzhxx tgjjGrzhxx)
    {
        return tgjjGrzhxxMapper.updateTgjjGrzhxx(tgjjGrzhxx);
    }

    /**
     * 删除个人账户信息对象
     *
     * @param ids 需要删除的数据ID
     * @return 结果
     */
    @Override
    public int deleteTgjjGrzhxxByIds(String ids)
    {
        return tgjjGrzhxxMapper.deleteTgjjGrzhxxByIds(Convert.toStrArray(ids));
    }

    /**
     * 删除个人账户信息信息
     *
     * @param ID 个人账户信息ID
     * @return 结果
     */
    @Override
    public int deleteTgjjGrzhxxById(Long ID)
    {
        return tgjjGrzhxxMapper.deleteTgjjGrzhxxById(ID);
    }
}
